summaryrefslogtreecommitdiffstats
path: root/dev/deploy_on_vms.sh
diff options
context:
space:
mode:
authorRihab Banday <rihab.banday@ericsson.com>2021-05-31 20:23:21 +0200
committerRihab Banday <rihab.banday@ericsson.com>2021-09-01 15:03:29 +0000
commitbc1786a24447121b5005492aaea8ca786135be29 (patch)
treecd6ced17b39538afc2bb97c733bf9a18560af5c5 /dev/deploy_on_vms.sh
parent3fe71dc93fb81199401f921c10d4fe6220aa7175 (diff)
Add initial config to support deployments on VMs
* Add initial version of PDF and IDF that will be consumed by the hardware provisioner used in Kuberef to bring up libvirt VMs (for now 2 VMs for dev purposes). * Add deploy_on_vms.sh script to deploy Kuberef on VMs * Add new functions referenced by the deploy_on_vms.sh script - these can be merged with existing functions * Modify some of te BMRA templates to accomodate new changes. This has been tested on Ubuntu 18.04 baremetal server. Change-Id: I95a5e85cdab95befd24a1cae9f367b32ce26621e Signed-off-by: Rihab Banday <rihab.banday@ericsson.com> Reviewed-on: https://gerrit.opnfv.org/gerrit/c/kuberef/+/72621 Tested-by: jenkins-ci <jenkins-opnfv-ci@opnfv.org> Reviewed-by: Michael Pedersen <michaelx.pedersen@intel.com> Reviewed-by: Georg Kunz <georg.kunz@ericsson.com>
Diffstat (limited to 'dev/deploy_on_vms.sh')
-rwxr-xr-xdev/deploy_on_vms.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/dev/deploy_on_vms.sh b/dev/deploy_on_vms.sh
new file mode 100755
index 0000000..2a8ad56
--- /dev/null
+++ b/dev/deploy_on_vms.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) Ericsson AB and others
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Script for end to end RI-2 deployment using Infra engine and BMRA on VMS
+# TODO Update README
+
+set -o errexit
+set -o nounset
+if [ "${DEBUG:-false}" == "true" ]; then
+ set -o xtrace
+fi
+
+# Get path information
+CURRENTPATH=$(git rev-parse --show-toplevel)
+export CURRENTPATH
+
+# shellcheck source=./functions.sh
+source "$CURRENTPATH/functions.sh"
+# shellcheck source=./deploy.env
+source "$CURRENTPATH/deploy.env"
+
+# ---------------------------------------------------------------------
+# check installation and runtime prerequisites
+# ---------------------------------------------------------------------
+check_prerequisites
+
+# ---------------------------------------------------------------------
+# creates a virtual environment for installation of dependencies
+# ---------------------------------------------------------------------
+creates_virtualenv
+
+# ---------------------------------------------------------------------
+# bootstrap install prerequisites
+# ---------------------------------------------------------------------
+run_playbook bootstrap
+
+# ---------------------------------------------------------------------
+# Create BMRA config based on IDF and PDF
+# ---------------------------------------------------------------------
+run_playbook bmra-config
+
+# ---------------------------------------------------------------------
+# Provision VMs
+# ---------------------------------------------------------------------
+provision_hosts_vms
+
+# ---------------------------------------------------------------------
+# Configure Networking on the VMs
+# ---------------------------------------------------------------------
+ansible-playbook -i "$CURRENTPATH"/engine/engine/inventory/inventory.ini "$CURRENTPATH"/playbooks/configure-vms.yaml
+
+# ---------------------------------------------------------------------
+# Provision k8s cluster (currently BMRA)
+# ---------------------------------------------------------------------
+provision_k8s_vms